Bug 1265393 - UI - Configure / Configuration error while adding a new company tag category
Summary: UI - Configure / Configuration error while adding a new company tag category
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Libor Pichler
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-22 19:45 UTC by Tina Fitzgerald
Modified: 2015-12-08 13:32 UTC (History)
6 users (show)

Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:32:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Tina Fitzgerald 2015-09-22 19:45:51 UTC
Description of problem:
Trying to add a new category very similar to an existing category name.
It will not allow the same display name, but gives the error that the description. not display name has already been used.

Comment 4 Harpreet Kataria 2015-10-15 15:18:59 UTC
Libor,

Let's cleanup labels on "MIQ Categories" tab & "MIQ Tags" screens. 

1. Change label on MIQ Categories from "Display Name" to "Description" on both list screen and edit screen. Change label "Description" to "Long Description" on edit screen.
2. Change label on MIQ Tags screen "Description" to "Long Description"
3. Change flash message on follwouing 2 lines to match labels on MIQ Categories edit screen: https://github.com/lpichler/manageiq/blob/master/app/controllers/ops_controller/settings/tags.rb#L56 & https://github.com/lpichler/manageiq/blob/master/app/controllers/ops_controller/settings/tags.rb#L59

Let me know if you have any questions.

Thanks,
~Harpreet

Comment 6 CFME Bot 2015-10-19 13:30:23 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a0da33fd501dbc312683aa6fdfed76170a9c12b2

commit a0da33fd501dbc312683aa6fdfed76170a9c12b2
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Fri Oct 16 11:27:03 2015 +0200
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Mon Oct 19 10:55:53 2015 +0200

    Change "Display" label in "MIQ Categories" & "MIQ Tags" screens
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265393
    Label "Description" changed as well

 app/controllers/ops_controller/settings/tags.rb     | 4 ++--
 app/views/ops/_category_form.html.haml              | 8 ++++----
 app/views/ops/_classification_entries.html.haml     | 2 +-
 app/views/ops/_settings_co_categories_tab.html.haml | 2 +-
 app/views/ops/_settings_co_tags_tab.html.haml       | 2 +-
 5 files changed, 9 insertions(+), 9 deletions(-)

Comment 9 Milan Falešník 2015-10-26 09:58:58 UTC
The UI is changed according to the Comment 4 in 5.5.0.7.

Comment 11 errata-xmlrpc 2015-12-08 13:32:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.